Package com.io7m.coffeepick.runtime.parser.spi

# Class SPIProbeFailure.Builder

java.lang.Object
com.io7m.coffeepick.runtime.parser.spi.SPIProbeFailure.Builder

Enclosing class:
  SPIProbeFailure

    public static final class SPIProbeFailure.Builder
    extends java.lang.Object

Builds instances of type `SPIProbeFailure`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `SPIProbeFailure` | `build()` | Builds a new `SPIProbeFailure`.
  `SPIProbeFailure.Builder` | `from​(SPIProbeResultType.SPIProbeFailureType instance)` | Fill a builder with attribute values from the provided `SPIProbeFailureType` instance.
  `SPIProbeFailure.Builder` | `setError​(java.lang.Exception error)` | Initializes the optional value `error` to error.
  `SPIProbeFailure.Builder` | `setError​(java.util.Optional<? extends java.lang.Exception> error)` | Initializes the optional value `error` to error.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final SPIProbeFailure.Builder from​(SPIProbeResultType.SPIProbeFailureType instance)
    Fill a builder with attribute values from the provided `SPIProbeFailureType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setError

    public final SPIProbeFailure.Builder setError​(java.lang.Exception error)
    Initializes the optional value `error` to error.
    Parameters:
      `error` - The value for error
    Returns:
      `this` builder for chained invocation

  - ### setError

    public final SPIProbeFailure.Builder setError​(java.util.Optional<? extends java.lang.Exception> error)
    Initializes the optional value `error` to error.
    Parameters:
      `error` - The value for error
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public SPIProbeFailure build()
    Builds a new `SPIProbeFailure`.
    Returns:
      An immutable instance of SPIProbeFailure
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing